TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get wallet information

GET
/api/v3/walletInformation

Get wallet smart contract information. Supports the following wallet versions: v1r1, v1r2, v1r3, v2r1, v2r2, v3r1, v3r2, v4r1, v4r2, v5beta, and v5r1. If the account is not a wallet, returns error code 409.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*string

Account address in any form.

use_v2?boolean

Use the API v2 method. This option is not recommended.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/walletInformation?address=string"
{
  "balance": "string",
  "last_transaction_hash": "string",
  "last_transaction_lt": "string",
  "seqno": 0,
  "status": "string",
  "suspended": true,
  "wallet_id": 0,
  "wallet_type": "string"
}
{
  "code": 0,
  "error": "string"
}